Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.query.base
Class Select

    java.lang.Object
      com.ibm.websphere.query.base.Select

All Implemented Interfaces:
  ISelect, IStringBuilder, java.io.Serializable

    public class Select

extends java.lang.Object
implements ISelect

A basic implementation of ISelect.

See Also:
  Serialized Form

Constructor Summary
`Select(java.util.List attributes)`

Method Summary
`java.lang.String` | `buildString(ISelectQueryCallback builder)` Builds a query string using the given builder callback.
`void` | `buildString(ISelectQueryCallback builder, java.lang.StringBuffer sb)`
`java.util.List` | `getAttributes()`
`void` | `setAttributes(java.util.List attributes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Select

    public Select(java.util.List attributes)

Method Detail

### getAttributes

    public java.util.List getAttributes()

  Specified by:
    `getAttributes` in interface `ISelect`

### setAttributes

    public void setAttributes(java.util.List attributes)

  Specified by:
    `setAttributes` in interface `ISelect`

### buildString

    public java.lang.String buildString(ISelectQueryCallback builder)
                                 throws QueryException

  Description copied from interface: `IStringBuilder`
  Builds a query string using the given builder callback.

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

### buildString

    public void buildString(ISelectQueryCallback builder,
                            java.lang.StringBuffer sb)
                     throws QueryException

  Specified by:
    `buildString` in interface `IStringBuilder`
  Throws:
    `QueryException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD